rio_register_driver
Prev | Functions | Next

## Name

rio_register_driver — register a new RIO driver

## Synopsis

`int rio_register_driver (` | struct rio_driver * | rdrv`)`;

## Arguments

`rdrv`

  the RIO driver structure to register

## Description

Adds a &struct rio_driver to the list of registered drivers Returns a negative value on error, otherwise 0. If no error occurred, the driver remains registered even if no device was claimed during registration.

Prev | Up | Next
rio_dev_put | Home | rio_unregister_driver